As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 1235639 - [meta] Get Ghostery working with WebExtensions
: [meta] Get Ghostery working with WebExtensions
Status: RESOLVED FIXED
triaged
:
Product: Toolkit
Classification: Components
Component: WebExtensions: Untriaged (show other bugs)
: unspecified
: Unspecified Unspecified
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 1156826 1202734 1215197 1252596
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 13:27 PST by Bill McCloskey (:billm)
Modified: 2016-03-30 10:13 PDT (History)
6 users (show)
amckay: blocking‑webextensions+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Bill McCloskey (:billm) 2015-12-29 13:27:31 PST
This is a tracking bug to implement all the APIs in order to get Ghostery working with WebExtensions. The Ghostery developers are interested (and CCed on this bug).

I'll do some testing soon and see what needs to be done here. I think it's mostly webrequest stuff.
Comment 1 User image Bill McCloskey (:billm) 2015-12-29 15:45:51 PST
So far it looks like we would need some webrequest and webnavigation stuff as well as options pages. I also found a bug where we're claiming to support onHistoryStateUpdated even though we don't. I'll fix that now.

I had to modify Ghostery to use chrome.tabs.onActivated instead of chrome.tabs.onActiveChanged. I also commented out setUninstallUrl.
Comment 2 User image Christopher Tino 2016-01-26 13:38:50 PST
Hey Bill, just checking on the progress of this ticket. Is there anything we can do to help? This is blocking our ability to integrate the Ghostery extension with e10s.
Comment 3 User image Bill McCloskey (:billm) 2016-01-26 13:45:59 PST
Thanks for checking in Chris. Switching the Chrome version of Ghostery to chrome.tabs.onActivated, as in comment 1, would be a great first start. Also, if you guys could detect when setUninstallUrl is unavailable and avoid calling it, that might help (although I'm hoping we'll have it soon).

The main blocker here is bug 1202734. Giorgio is working on that right now I think.
Comment 4 User image Bill McCloskey (:billm) 2016-01-26 13:47:30 PST
We'll also need to figure out what to do about the options UI. Work for that hasn't really been scheduled, so it will take longer. If Ghostery had a way of opening the options from its pop-up, that would be a good workaround I think. (Maybe it does already?)
Comment 5 User image Giorgio Maone [:mao] 2016-01-26 13:49:15 PST
(In reply to Bill McCloskey (:billm) from comment #3)

> The main blocker here is bug 1202734. Giorgio is working on that right now I
> think.

Yes I am :)
Comment 6 User image Christopher Tino 2016-01-26 14:10:29 PST
Hey Bill, thanks for the quick reply. I can get a build put together with the tabs.onActivated fix. I'll also look into fixing setUninstallUrl, but at this point we would be fine going to production without it.  It's a low priority feature. 

The options UI shouldn't be a blocker for us.  We have a new Ghostery version in the works that uses an external ghostery.com page to handle user settings. Thanks again for the update.
Comment 7 User image Bill McCloskey (:billm) 2016-01-26 14:26:30 PST
Thanks!

(In reply to Christopher Tino from comment #6)
> I'll also look into fixing setUninstallUrl, but at
> this point we would be fine going to production without it.  It's a low
> priority feature. 

Yeah, mostly we just need to make sure it doesn't get called if it's not available. Otherwise you'll get an exception and execution will stop, which could break other things. Something like this should work:

if (chrome.runtime.setUninstallUrl) {
  chrome.runtime.setUninstallUrl("url");
}

> The options UI shouldn't be a blocker for us.  We have a new Ghostery
> version in the works that uses an external ghostery.com page to handle user
> settings. Thanks again for the update.

Sounds great!
Comment 8 User image Blake Winton (:bwinton) (:☕️) 2016-02-05 10:44:11 PST
Christopher let me know over email that they have a new version that doesn't need the options_page (or options_ui), so I'm removing that bug from the dependencies.
Comment 9 User image Giorgio Maone [:mao] 2016-02-29 09:08:53 PST
In case you did not notice, you've got requestId support now :)
Comment 10 User image Christopher Tino 2016-02-29 09:53:42 PST
Thanks Giorgio.  We'll put a new build together and test it this week.
Comment 11 User image Christopher Tino 2016-03-01 14:13:45 PST
We ported over Ghostery v6 from Chrome today and, after a few minor tweaks, it seems to be working pretty well.  There was a small issue with webRequest.onErrorOccurred (see Bug 1252596). We'll keep testing but at first glance this seems solid. Thanks everyone!
Comment 12 User image Andy McKay [:andym] 2016-03-28 12:49:31 PDT
All dependencies are closed, so based on comment 11, closing this tracker. Please re-open or file new bugs for new issues.

Note You need to log in before you can comment on or make changes to this bug.